variable "multi_availability_zone" {
  type = bool
  default = false
}

variable "service_name" {
  type = string
}

variable "redis_password" {
  type = string
  default = ""
}

variable "subnet_ids" {
  type = set(string)
}

variable "security_group_ids" {
  type = list(string)
}

variable "shard_count" {
  type = number
}

variable "redis_port" {
  type = number
}

variable "replica_count" {
  type = number
}

variable "redis_engine_version" {
  description = "elasticache redis engine version"
}

variable "parameter_group_name" {
  description = "elasticache parameter group name"
  type = string
  default = null
}

variable "redis_maintenance_window" {
  type        = string
  description = "redis maintenance window"
}

variable "redis_snapshot_window" {
  type        = string
  description = "redis snapshot window"
}

variable "redis_snapshot_retention_limit" {
  type        = number
  description = "redis snapshot retention limit"
}

variable "redis_node_type" {
  description = "elasticache redis node type"
  type        = string
}

variable "tags" {
  type        = map(string)
  description = "Tags for Elasticache"
}
